<?php
global $openair_options;
  
if (function_exists('register_sidebar'))
    register_sidebar(array('name'=>'sidebar',
        'before_widget' => '<div class="top"></div><div class="middle">',
        'after_widget' => '</div><div class="bottom"></div>',
        'before_title' => '<div class="title"><h3>',
        'after_title' => '</h3></div>',
    ));
add_filter('comments_template', 'legacy_comments');
function legacy_comments($file) {
	if(!function_exists('wp_list_comments')) $file = TEMPLATEPATH . '/legacy.comments.php';
	return $file;
}


$theme_data      = get_theme('OpenAir');
$openair_version = $theme_data['Version'];
$openair_options = get_option('openair_options');


$old_options = $openair_options;
if (!$openair_options['sidebar_pos']) $openair_options['sidebar_pos'] = 'right';


if ($old_options != $openair_options)
	update_option('openair_options', $openair_options);


/* Adding the admin menu in; */
add_action('admin_menu', 'openair_add_theme_page');
add_action('admin_head', 'openair_theme_page_head');


/* Adding the t heme page to the admin panel; */
function openair_add_theme_page() { 
	add_theme_page(__('OpenAir Options'), 'OpenAir Options', 'edit_themes', basename(__FILE__), 'openair_theme_page');
}


/* Adding style in for the theme page header; */
function openair_theme_page_head() {
?>
<style type="text/css">
<!--
table.form-table {
  width: 200px;
}
//-->
</style>
<?php
}

function openair_theme_page() {
    global $openair_options;
	
	if (isset($_GET['dismiss'])) {
		$openair_actions = get_option('openair_actions');
		$openair_actions[$_GET['dismiss']] = 0;
		update_option('openair_actions', $openair_actions);
	}
	
	if (isset($_POST['updated'])) {
		foreach (array('sidebar_pos',) as $field) {
			$openair_options[$field] = $_POST[$field];
		}
			
		update_option('openair_options', $openair_options);
			
		echo '<div class="updated fade"><p>Options updated.</p></div>';
	}
?>
<div class='wrap'>
	<h2><?php _e('Customize Openair Theme'); ?></h2>
		
	<br />
	
	<p>
	    This is version <?php $oa = get_theme('OpenAir'); echo $oa['Version']; ?> of <a href="http://www.theenglishguy.co.uk/openair-theme/" rel="tag" title="Show your support, please make a donation">Openair</a> - are you using the latest version? If you enjoy this theme, please consider making a donation from my <a href="http://www.theenglishguy.co.uk/" title="The English Guy Web Design">homepage</a>. Thank you!
	</p>

	<form method="post" name="openair_options_form" action="<?php echo attribute_escape($_SERVER['REQUEST_URI']); ?>">
		<input type="hidden" name="updated" value="1" />
		
		<h3>Set the sidebar to the left or right</h3>
		<p>
		  The default value is to have the sidebar on the right side. You can select the side
		  here though, to <em>right</em> or <em>left</em>.
		</p>
		<table class="form-table" width="200">
			<tr valign="top" width="200">
				<td width="30"><?php _e('Left'); ?></td>
				<td width="60"><input type="radio" name="sidebar_pos" value="left" <?php echo ($openair_options['sidebar_pos'] != 'right' ? 'checked="checked"' : ''); ?> /></td>
				<td width="30"><?php _e('Right'); ?></td>
				<td width="60"><input type="radio" name="sidebar_pos" value="right" <?php echo ($openair_options['sidebar_pos'] == 'right' ? 'checked="checked"' : ''); ?> /></td>
			</tr>

			<tr valign="top">
				<td colspan="4">
					<input type="hidden" name="action" value="update" />
		
					<p class="submit">
						<input type="submit" name="submitform" value="<?php echo attribute_escape(__('Update Theme')); ?>" />
					</p>
				</td>
			</tr>
		</table>
	</form>
</div>
<?php
}
?>